Update a specific attribute
curl --request PUT \
--url https://live.copilot.fabric.inc/api-offers/attributes/{attributeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"name": "Brand",
"values": [
"CHS",
"SOMA",
"WHBM"
]
}
'import requests
url = "https://live.copilot.fabric.inc/api-offers/attributes/{attributeId}"
payload = {
"name": "Brand",
"values": ["CHS", "SOMA", "WHBM"]
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'Brand', values: ['CHS', 'SOMA', 'WHBM']})
};
fetch('https://live.copilot.fabric.inc/api-offers/attributes/{attributeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://live.copilot.fabric.inc/api-offers/attributes/{attributeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Brand',
'values' => [
'CHS',
'SOMA',
'WHBM'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://live.copilot.fabric.inc/api-offers/attributes/{attributeId}"
payload := strings.NewReader("{\n \"name\": \"Brand\",\n \"values\": [\n \"CHS\",\n \"SOMA\",\n \"WHBM\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://live.copilot.fabric.inc/api-offers/attributes/{attributeId}")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Brand\",\n \"values\": [\n \"CHS\",\n \"SOMA\",\n \"WHBM\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://live.copilot.fabric.inc/api-offers/attributes/{attributeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Brand\",\n \"values\": [\n \"CHS\",\n \"SOMA\",\n \"WHBM\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"_id": "614b58924e92f6861ac9d43b",
"attributeId": 100002,
"name": "Brand",
"values": [
"CHS",
"SOMA",
"WHBM"
],
"deleted": false,
"createdAt": "2020-12-14T12:15:43.646Z",
"updatedAt": "2021-12-14T12:15:43.646Z"
}{
"code": "ATTRIBUTE_NAME_EXISTS",
"message": "The attribute name already exists."
}{
"code": "ATTRIBUTE_NOT_FOUND",
"message": "No attribute found with this ID."
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error."
}Attributes
Update a specific attribute
Updates a specific attribute by attributeId
PUT
/
api-offers
/
attributes
/
{attributeId}
Update a specific attribute
curl --request PUT \
--url https://live.copilot.fabric.inc/api-offers/attributes/{attributeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"name": "Brand",
"values": [
"CHS",
"SOMA",
"WHBM"
]
}
'import requests
url = "https://live.copilot.fabric.inc/api-offers/attributes/{attributeId}"
payload = {
"name": "Brand",
"values": ["CHS", "SOMA", "WHBM"]
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'Brand', values: ['CHS', 'SOMA', 'WHBM']})
};
fetch('https://live.copilot.fabric.inc/api-offers/attributes/{attributeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://live.copilot.fabric.inc/api-offers/attributes/{attributeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Brand',
'values' => [
'CHS',
'SOMA',
'WHBM'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://live.copilot.fabric.inc/api-offers/attributes/{attributeId}"
payload := strings.NewReader("{\n \"name\": \"Brand\",\n \"values\": [\n \"CHS\",\n \"SOMA\",\n \"WHBM\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://live.copilot.fabric.inc/api-offers/attributes/{attributeId}")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Brand\",\n \"values\": [\n \"CHS\",\n \"SOMA\",\n \"WHBM\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://live.copilot.fabric.inc/api-offers/attributes/{attributeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Brand\",\n \"values\": [\n \"CHS\",\n \"SOMA\",\n \"WHBM\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"_id": "614b58924e92f6861ac9d43b",
"attributeId": 100002,
"name": "Brand",
"values": [
"CHS",
"SOMA",
"WHBM"
],
"deleted": false,
"createdAt": "2020-12-14T12:15:43.646Z",
"updatedAt": "2021-12-14T12:15:43.646Z"
}{
"code": "ATTRIBUTE_NAME_EXISTS",
"message": "The attribute name already exists."
}{
"code": "ATTRIBUTE_NOT_FOUND",
"message": "No attribute found with this ID."
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error."
}Authorizations
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
application/json
Response
OK
Was this page helpful?
